# Class CSConfigurationParser

java.lang.Object
com.io7m.certusine.vanilla.internal.CSConfigurationParser

All Implemented Interfaces:
  `com.io7m.anethum.api.ParserType<CSConfiguration>, CSConfigurationParserType, Closeable, AutoCloseable`

public final class CSConfigurationParser extends Object implements CSConfigurationParserType
A certificate pipeline parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSConfigurationParser(CSStrings inStrings, org.bouncycastle.openssl.jcajce.JcaPEMKeyConverter inKeyConverter, Map<String, CSCertificateOutputProviderType> inOutputProviders, Map<String, CSDNSConfiguratorProviderType> inDNSProviders, Path inBaseDirectory, InputStream inStream, URI inSource, Consumer<com.io7m.anethum.api.ParseStatus> inStatusConsumer)`
  A certificate pipeline parser.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `CSConfiguration`
  `execute()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CSConfigurationParser

    public CSConfigurationParser(CSStrings inStrings, org.bouncycastle.openssl.jcajce.JcaPEMKeyConverter inKeyConverter, Map<String, CSCertificateOutputProviderType> inOutputProviders, Map<String, CSDNSConfiguratorProviderType> inDNSProviders, Path inBaseDirectory, InputStream inStream, URI inSource, Consumer<com.io7m.anethum.api.ParseStatus> inStatusConsumer)
    A certificate pipeline parser.
    Parameters:
      `inStrings` - The string resources
      `inKeyConverter` - The PEM key converter
      `inOutputProviders` - The supported output providers
      `inDNSProviders` - The supported DNS providers
      `inBaseDirectory` - The base directory
      `inStream` - An input stream
      `inSource` - The input source
      `inStatusConsumer` - A status message consumer

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`

  - ### execute

    public CSConfiguration execute() throws com.io7m.anethum.api.ParsingException
    Specified by:
      `execute` in interface `com.io7m.anethum.api.ParserType<CSConfiguration>`
    Throws:
      `com.io7m.anethum.api.ParsingException`